*** Settings ***
Documentation     Check that you cannot update a context source registration subscription with an invalid URI
Resource          ${EXECDIR}/resources/ApiUtils.resource
Resource          ${EXECDIR}/resources/AssertionUtils.resource
Resource          ${EXECDIR}/resources/JsonUtils.resource

*** Variable ***
${subscription_update_fragment_file_path}=    csourceSubscriptions/fragments/subscription-update-sample.json

*** Test Case ***
Update Context Source Registration Subscription With Invalid Uri
    [Documentation]    Check that you cannot update a context source registration subscription with an invalid URI
    [Tags]    csrsub-update    5_11_3
    ${subscription_update_fragment}=    Load Test Sample    ${subscription_update_fragment_file_path}
    Update Context Source Registration Subscription    invalidUri    ${subscription_update_fragment}
    Check Response Status Code Set To    400
    Check Response Body Containing ProblemDetails Element Containing Type Element set to    ${response}    ${ERROR_TYPE_BAD_REQUEST_DATA}
    Check Response Body Containing ProblemDetails Element Containing Title Element    ${response}
